Bug 963907 - FTBFS: rhbz-911314.patch fails to apply on xulrunner-21
FTBFS: rhbz-911314.patch fails to apply on xulrunner-21
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
19
powerpc Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Reopened
Depends On: 948645
Blocks: F19PPCBeta/F19PPCBetaBlocker/PPCBetaBlocker
  Show dependency treegraph
 
Reported: 2013-05-16 14:40 EDT by Gustavo Luiz Duarte
Modified: 2013-06-25 23:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 948645
: 978123 (view as bug list)
Environment:
Last Closed: 2013-05-27 09:20:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhbz-911314.patch backported to xulrunner-21 (17.24 KB, patch)
2013-05-20 11:26 EDT, Gustavo Luiz Duarte
no flags Details | Diff
rhbz-911314.patch backported to xulrunner-21 (17.24 KB, patch)
2013-05-21 11:19 EDT, Gustavo Luiz Duarte
no flags Details | Diff

  None (edit)
Description Gustavo Luiz Duarte 2013-05-16 14:40:54 EDT
Description of problem:

The patch rhbz-911314.patch is being conditionally applied on ppc and ppc64 only. However it fails to apply on xulrunner-21.

Patch #21 (rhbz-911314.patch):
+ /usr/bin/cat /builddir/build/SOURCES/rhbz-911314.patch
+ /usr/bin/patch -p1 -b --suffix .ppc --fuzz=0
patching file js/src/gc/Heap.h
Hunk #1 succeeded at 812 (offset 12 lines).
patching file js/src/gc/Memory.cpp
patching file js/src/gc/Memory.h
patching file js/src/jsapi.cpp
Hunk #1 succeeded at 1110 (offset -3 lines).
patching file js/src/jscntxt.h
Hunk #1 succeeded at 1026 (offset 153 lines).
patching file js/src/jsgc.cpp
Hunk #1 succeeded at 465 (offset -12 lines).
Hunk #2 succeeded at 561 (offset -12 lines).
Hunk #3 succeeded at 592 (offset -12 lines).
Hunk #4 succeeded at 608 (offset -12 lines).
Hunk #5 succeeded at 725 (offset -11 lines).
Hunk #6 succeeded at 736 (offset -11 lines).
Hunk #7 FAILED at 781.
Hunk #8 succeeded at 937 (offset 56 lines).
Hunk #9 succeeded at 2104 (offset 133 lines).
Hunk #10 succeeded at 2172 (offset 133 lines).
1 out of 10 hunks FAILED -- saving rejects to file js/src/jsgc.cpp.rej
patching file js/public/HeapAPI.h
Hunk #1 succeeded at 11 (offset -2 lines).
error: Bad exit status from /var/tmp/rpm-tmp.lWG2uA (%prep)

Version-Release number of selected component (if applicable):
xulrunner-21.0-3.fc19

How reproducible:
Always

Steps to Reproduce:
1. ppc-koji build --scratch f19 xulrunner-21.0-3.fc19.src.rpm
2.
3.
  
Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1112214
Comment 1 Gustavo Luiz Duarte 2013-05-20 11:26:34 EDT
Created attachment 750632 [details]
rhbz-911314.patch backported to xulrunner-21

This is a backport of rhbz-911314.patch to xulrunner-21.

We also need this patch from upstream to fix a different build issue:
https://hg.mozilla.org/mozilla-central/raw-rev/fe010206e5ad

With these patches xulrunner-21 builds fine on ppc64, though it crashes at runtime inside gfx, which indicates a different issue.

Please include these patches to Fedora and release a new xulrunner version. I will file a different bug for the runtime issue.
Comment 2 Martin Stransky 2013-05-21 07:51:45 EDT
Gustavo, the patch you attached does not apply:

+ /usr/bin/cat /home/komat/CVS/xulrunner/rhbz-911314.patch
+ /usr/bin/patch -p1 -b --suffix .ppc --fuzz=0
patching file js/src/gc/Heap.h
Hunk #1 succeeded at 812 (offset 12 lines).
patching file js/src/gc/Memory.cpp
patching file js/src/gc/Memory.h
patching file js/src/jsapi.cpp
Hunk #1 succeeded at 1110 (offset -3 lines).
patching file js/src/jscntxt.h
Hunk #1 succeeded at 1026 (offset 153 lines).
patching file js/src/jsgc.cpp
Hunk #1 succeeded at 465 (offset -12 lines).
Hunk #2 succeeded at 561 (offset -12 lines).
Hunk #3 succeeded at 592 (offset -12 lines).
Hunk #4 succeeded at 608 (offset -12 lines).
Hunk #5 succeeded at 725 (offset -11 lines).
Hunk #6 succeeded at 736 (offset -11 lines).
Hunk #7 FAILED at 781.
Hunk #8 succeeded at 937 (offset 56 lines).
Hunk #9 succeeded at 2104 (offset 133 lines).
Hunk #10 succeeded at 2172 (offset 133 lines).
1 out of 10 hunks FAILED -- saving rejects to file js/src/jsgc.cpp.rej
patching file js/public/HeapAPI.h
Hunk #1 succeeded at 11 (offset -2 lines).
error: Bad exit status from /var/tmp/rpm-tmp.2KmTPM (%prep)
Comment 3 Gustavo Luiz Duarte 2013-05-21 11:19:41 EDT
Created attachment 751226 [details]
rhbz-911314.patch backported to xulrunner-21

Sorry Martin, here is the correct patch.
Comment 4 Martin Stransky 2013-05-21 17:35:32 EDT
The patch does not apply either but whatever, I updated the broken chunk. It's in brew now.

If you want the patch in upstream it should be more friendly to other arches...
Comment 5 Gustavo Luiz Duarte 2013-05-21 19:04:01 EDT
I double checked here and my second patch applied just fine. Anyway, thanks for correcting whatever was wrong with it.

Regarding getting the patch upstream, I would appreciate if you post your comments on the upstream bugzilla, where the patch originated from: https://bugzilla.mozilla.org/show_bug.cgi?id=840242

I checked out the latest f19 xulrunner code from git and tried to build it. I got the following error:
error: Bad source: /builddir/fedora/xulrunner/f19/mozilla-851850.patch: No such file or directory

Thanks for your help, Martin.
Comment 6 Gustavo Luiz Duarte 2013-05-21 19:08:40 EDT
Martin, we cannot do builds for secondary arches of packages that were not built on primary. Could you please do a build with these fixes on primary?

Reopening the bug while we wait for a build.

Thanks again
Comment 7 Martin Stransky 2013-05-27 09:20:29 EDT
It's built already, right?

Note You need to log in before you can comment on or make changes to this bug.